<div id="hideBottomInput">
  <div class="d-sm-flex items-center gap-3">
    <v-text-field
      dense
      outlined
      class="name-input"
      label="Search By Name"
      v-model="config.search"
      v-debounce:1000ms="onGetProductList"
    ></v-text-field>
    <div class="d-sm-flex d-flex mb-sm-0 mb-2 items-center">
      <v-text-field
        class="number-input mr-sm-0 mr-1"
        type="number"
        dense
        outlined
        v-debounce:1000ms="onGetProductList"
        label="Lowest Price"
        v-model="config.priceFrom"
      ></v-text-field>
      <v-text-field
        class="number-input ml-sm-0 ml-1"
        type="number"
        dense
        outlined
        v-debounce:1000ms="onGetProductList"
        label="Highest Price"
        v-model="config.priceTo"
      ></v-text-field>
    </div>
    <div class="d-sm-flex d-flex mb-sm-0 mb-2 items-center">
      <v-text-field
        v-model="config.productCostFrom"
        class="number-input mr-sm-0 mr-1"
        type="number"
        dense
        outlined
        v-debounce:1000ms="onGetProductList"
        label="Lowest Cost"
      >
      </v-text-field>
      <v-text-field
        v-model="config.productCostTo"
        class="number-input ml-sm-0 ml-1"
        type="number"
        dense
        outlined
        v-debounce:1000ms="onGetProductList"
        label="Highest Cost"
      ></v-text-field>
    </div>
  </div>
  <v-row class="w-full ml-0 mt-5">
    <v-col
      cols="6"
      xl="2"
      lg="3"
      md="4"
      class="sm:gap-3 gap-1 sm:px-3 px-1"
      v-for="(item, idx) in productList"
      :key="idx"
    >
      <nuxt-link :to="redirectProduct(item)">
        <v-card
          class="elevation-0 pa-2 bg-blue-100 h-full d-flex flex-column justify-between"
        >
          <div>
            <div class="img-fr">
              <img
                v-if="item.listImageId && item.listImageId[0] && item.listImageId[0].imageUrl"
                :src="convertImage(item.listImageId[0].imageUrl || '')"
                alt=""
              />
            </div>
            <div class="text-desc">
              <p class="my-2 font-normal text-base">
                {{item && item.productName && item.productName.length > 40 ?
                item.productName.slice(0,40) + '...': item.productName}}
              </p>
            </div>
          </div>
          <div
            class="flex justify-between py-2"
            style="max-height: 68px; min-height: 68px"
          >
            <div class="sell-fr bg-gray-100 pa-2">
              <p class="text-xs font-normal mb-0">Selling Price</p>
              <p class="font-semibold text-sm mb-0">
                ${{item && item.listVariant[0] && item.listVariant[0].price}}
              </p>
            </div>
            <div class="sell-fr bg-gray-100 pa-2">
              <p class="text-xs font-normal mb-0">
                Cost
                <span>
                  <v-icon color="#171717" small>
                    mdi-help-circle-outline
                  </v-icon>
                </span>
              </p>
              <p class="font-semibold text-sm mb-0">
                ${{item && item.listVariant[0] &&
                item.listVariant[0].productCost}}
              </p>
            </div>
          </div>
        </v-card>
      </nuxt-link>
    </v-col>
  </v-row>
  <v-pagination
    class="mt-8"
    v-model="config.page"
    :length="totalPage"
    :total-visible="5"
    prev-icon="mdi-menu-left"
    next-icon="mdi-menu-right"
  >
  </v-pagination>
</div>
